## glpk-java 1.0.1

=== Makefile ===
NAME = `pwd | awk -f getlastfragment.awk`
all:
	cd swig; $(MAKE) all
clean:
	cd swig; $(MAKE) clean
dist: distclean
	tar -C .. -cf ../$(NAME).tar $(NAME)
	gzip -f ../$(NAME).tar;md5sum ../$(NAME).tar.gz > ../$(NAME).tar.gz.md5
distclean:
	cd swig; $(MAKE) distclean
	rm -f *~
	-find . -name .svn -exec rm {} -r -f \;
install:
	cd swig; $(MAKE) install
test:
	cd swig; $(MAKE) test

=== swig/Makefile ===
# installation path of the include files
INCLUDE := /usr/include
# copy version-info from glpk package: src/Makefile.am
VERSION_INFO := 23:0:23
# copy revision from glpk package: configure.ac
REVISION := 4.38
# installation path for package
prefix = /usr/local

all:
	echo $(JAVA_HOME)
	mkdir -p src/java
	mkdir -p java/org/gnu/glpk
	swig -I$(INCLUDE) -java -package org.gnu.glpk -o src/java/glpk_wrap.c -outdir java/org/gnu/glpk glpk.i 
	libtool --mode=compile gcc -c -fPIC src/java/glpk_wrap.c
	libtool --mode=link \
		gcc -version-info $(VERSION_INFO) -revision $(REVISION) \
		-g -O -o libglpk_java.la -rpath ${prefix}/lib/jni glpk_wrap.o -lglpk 
	javac -classpath java/org/gnu/glpk/ java/org/gnu/glpk/*.java
	jar cf java/glpk-java.jar -C java/ org

clean:
	rm -f -r src java .libs
	rm -f *.o *.la *.lo ../examples/*.class

distclean: clean
	rm -f *~ ../examples/*~ ../w32/*~ ../w64/*~

install:
	mkdir -p -m 755 $(DESTDIR)${prefix}/lib/jni;true
	libtool --mode=install install -c libglpk_java.la $(DESTDIR)${prefix}/lib/jni/libglpk_java.la
	libtool --mode=finish $(DESTDIR)${prefix}/lib/jni
	mkdir -p -m 755 $(DESTDIR)${prefix}/share/java;true
	install -m 644 java/glpk-java.jar $(DESTDIR)${prefix}/share/java/glpk-java-$(REVISION).jar
	cd $(DESTDIR)${prefix}/share/java/;ln -f -s glpk-java-$(REVISION).jar glpk-java.jar

test:
	cd ../examples;javac -classpath ../swig/java/glpk-java.jar GLPKSwig.java
	cd ../examples;java -Djava.library.path=../swig/.libs -classpath ../swig/java/glpk-java.jar:. GLPKSwig marbles.mod
	cd ../examples;javac -classpath ../swig/java/glpk-java.jar Roy.java
	cd ../examples;java -Djava.library.path=../swig/.libs -classpath ../swig/java/glpk-java.jar:. Roy

## glpk-java 1.0.13

=== Makefile ===
--- 
+++ 
@@ -12,5 +12,5 @@
 	-find . -name .svn -exec rm {} -r -f \;
 install:
 	cd swig; $(MAKE) install
-test:
-	cd swig; $(MAKE) test
+check:
+	cd swig; $(MAKE) check

=== swig/Makefile ===
# installation path of the include files
SWIG_FLAGS := -I/usr/local/include -I/usr/include
# copy version-info from glpk package: src/Makefile.am
VERSION_INFO := 28:0:28
# copy revision from glpk package: configure.ac
REVISION := 4.43
# installation path for package
prefix = /usr/local

all:
	echo $(JAVA_HOME)
	mkdir -p classes
	mkdir -p doc
	mkdir -p src/java
	mkdir -p java/org/gnu/glpk
	cp *.java java/org/gnu/glpk
	swig $(SWIG_FLAGS) -java -package org.gnu.glpk -o src/java/glpk_wrap.c -outdir java/org/gnu/glpk glpk.i 
	libtool --mode=compile gcc $(SWIG_FLAGS) -c -fPIC src/java/glpk_wrap.c
	libtool --mode=link \
		gcc -version-info $(VERSION_INFO) -revision $(REVISION) \
		-g -O -o libglpk_java.la -rpath ${prefix}/lib/jni glpk_wrap.lo -lglpk 
	javadoc -sourcepath ./java *.java -d ./doc
	jar cf glpk-java-javadoc.jar -C ./doc .
	jar cf glpk-java-sources.jar -C ./java .
	javac -source 1.6 -target 1.6 -sourcepath java -d classes *.java 
	jar cf glpk-java.jar -C ./classes .

clean:
	rm -f -r src java .libs
	rm -f *.o *.la *.lo ../examples/*.class

distclean: clean
	rm -f *~ ../examples/*~ ../w32/*~ ../w64/*~

install:
	mkdir -p -m 755 $(DESTDIR)${prefix}/lib/jni;true
	libtool --mode=install install -c libglpk_java.la $(DESTDIR)${prefix}/lib/jni/libglpk_java.la
	libtool --mode=finish $(DESTDIR)${prefix}/lib/jni
	mkdir -p -m 755 $(DESTDIR)${prefix}/share/java;true
	install -m 644 glpk-java.jar $(DESTDIR)${prefix}/share/java/glpk-java-$(REVISION).jar
	cd $(DESTDIR)${prefix}/share/java/;ln -f -s glpk-java-$(REVISION).jar glpk-java.jar

check:
	cd ../examples/java;javac -source 1.6 -target 1.6 -classpath ../../swig/glpk-java.jar Gmpl.java
	cd ../examples/java;java -Djava.library.path=../../swig/.libs -classpath ../../swig/glpk-java.jar:. Gmpl marbles.mod
	cd ../examples/java;javac -source 1.6 -target 1.6 -classpath ../../swig/glpk-java.jar Lp.java
	cd ../examples/java;java -Djava.library.path=../../swig/.libs -classpath ../../swig/glpk-java.jar:. Lp
	cd ../examples/java;javac -source 1.6 -target 1.6 -classpath ../../swig/glpk-java.jar ErrorDemo.java
	cd ../examples/java;java -Djava.library.path=../../swig/.libs -classpath ../../swig/glpk-java.jar:. ErrorDemo
	cd ../examples/java;javac -source 1.6 -target 1.6 -classpath ../../swig/glpk-java.jar LinOrd.java
	cd ../examples/java;java -Djava.library.path=../../swig/.libs -classpath ../../swig/glpk-java.jar:. LinOrd tiw56r72.mat tiw56r72.sol;rm tiw56r72.sol

## glpk-java 1.0.18

=== Makefile ===
SHELL = /bin/sh
NAME = `pwd | awk -f getlastfragment.awk`
all:
	cd doc; $(MAKE) all
	cd examples/java; $(MAKE) all
	cd swig; $(MAKE) all
clean:
	cd doc; $(MAKE) clean
	cd examples/java; $(MAKE) clean
	cd swig; $(MAKE) clean
dist: documentation distclean
	tar -C .. -cf ../$(NAME).tar $(NAME)
	gzip -f ../$(NAME).tar;md5sum ../$(NAME).tar.gz > ../$(NAME).tar.gz.md5
distclean:
	cd doc; $(MAKE) distclean
	cd examples/java; $(MAKE) distclean
	cd swig; $(MAKE) distclean
	rm -f *~
	find . -name .svn -exec rm {} -r -f \;;true
documentation:
	cd doc; $(MAKE) documentation
install:
	cd doc; $(MAKE) install
	cd examples/java; $(MAKE) install
	cd swig; $(MAKE) install
check:
	cd doc; $(MAKE) check
	cd examples/java; $(MAKE) check
	cd swig; $(MAKE) check

=== doc/Makefile ===
SHELL = /bin/sh
# copy revision from glpk package: configure.ac
REVISION := 4.47
# package name
package = libglpk-java
# installation path for package
prefix = /usr/local

all:
	gzip -c libglpk-java.3 > libglpk-java.3.gz

clean:
	rm -f *.aux
	rm -f *.bbl
	rm -f *.blg
	rm -f *.gz
	rm -f *.idx
	rm -f *.ilg
	rm -f *.ind
	rm -f *.log
	rm -f *.out
	rm -f *.toc
distclean: clean
	rm -f *~

documentation:
	epstopdf swimlanes.eps
	pdflatex glpk-java.tex
	bibtex glpk-java
	pdflatex glpk-java.tex
	makeindex glpk-java.idx
	pdflatex glpk-java.tex

install:
	mkdir -p -m 755 $(DESTDIR)${prefix}/share/doc/${package};true
	install -m 644 glpk-java.pdf $(DESTDIR)${prefix}/share/doc/${package}/glpk-java.pdf
	mkdir -p -m 755 $(DESTDIR)${prefix}/share/man/man3/;true
	install -m 644 libglpk-java.3.gz $(DESTDIR)${prefix}/share/man/man3/libglpk-java.3.gz

check:
	if test ! -f glpk-java.pdf;then echo glpk-java.pdf not found;exit 1; fi

=== swig/Makefile ===
--- 
+++ 
@@ -1,36 +1,43 @@
+SHELL = /bin/sh
 # installation path of the include files
-SWIG_FLAGS := -I/usr/local/include -I/usr/include
+SWIG_FLAGS := -I$(JAVA_HOME)/include -I/usr/local/include -I/usr/include
 # copy version-info from glpk package: src/Makefile.am
-VERSION_INFO := 28:0:28
+VERSION_INFO := 32:0:32
 # copy revision from glpk package: configure.ac
-REVISION := 4.43
+REVISION := 4.47
+# package name
+package = libglpk-java
 # installation path for package
 prefix = /usr/local
 
 all:
 	echo $(JAVA_HOME)
-	mkdir -p classes
-	mkdir -p doc
-	mkdir -p src/java
-	mkdir -p java/org/gnu/glpk
-	cp *.java java/org/gnu/glpk
-	swig $(SWIG_FLAGS) -java -package org.gnu.glpk -o src/java/glpk_wrap.c -outdir java/org/gnu/glpk glpk.i 
-	libtool --mode=compile gcc $(SWIG_FLAGS) -c -fPIC src/java/glpk_wrap.c
+	mkdir -p target/classes
+	mkdir -p target/apidocs
+	mkdir -p src/c
+	mkdir -p src/main/java/org/gnu/glpk
+	cp *.java src/main/java/org/gnu/glpk
+	swig $(SWIG_FLAGS) -java -package org.gnu.glpk -o src/c/glpk_wrap.c \
+        -outdir src/main/java/org/gnu/glpk glpk.i 
+	libtool --mode=compile gcc $(SWIG_FLAGS) -c -fPIC src/c/glpk_wrap.c
 	libtool --mode=link \
 		gcc -version-info $(VERSION_INFO) -revision $(REVISION) \
 		-g -O -o libglpk_java.la -rpath ${prefix}/lib/jni glpk_wrap.lo -lglpk 
-	javadoc -sourcepath ./java *.java -d ./doc
-	jar cf glpk-java-javadoc.jar -C ./doc .
-	jar cf glpk-java-sources.jar -C ./java .
-	javac -source 1.6 -target 1.6 -sourcepath java -d classes *.java 
-	jar cf glpk-java.jar -C ./classes .
+	javadoc -sourcepath ./src/main/java org.gnu.glpk -d ./target/apidocs
+	jar cf glpk-java-javadoc.jar -C ./target/apidocs .
+	jar cf glpk-java-sources.jar -C ./src/main/java .
+	javac -source 1.6 -target 1.6 -classpath ./src/main/java \
+        -d ./target/classes *.java 
+	jar cf glpk-java.jar -C ./target/classes .
 
 clean:
-	rm -f -r src java .libs
-	rm -f *.o *.la *.lo ../examples/*.class
+	rm -f -r src/main src/c target .libs
+	rm -f *.jar *.o *.la *.lo ../examples/*.class target 
 
 distclean: clean
-	rm -f *~ ../examples/*~ ../w32/*~ ../w64/*~
+	rm -f *~ ../examples/java/*~ ../w32/*~ ../w64/*~
+
+documentation:
 
 install:
 	mkdir -p -m 755 $(DESTDIR)${prefix}/lib/jni;true
@@ -39,6 +46,11 @@
 	mkdir -p -m 755 $(DESTDIR)${prefix}/share/java;true
 	install -m 644 glpk-java.jar $(DESTDIR)${prefix}/share/java/glpk-java-$(REVISION).jar
 	cd $(DESTDIR)${prefix}/share/java/;ln -f -s glpk-java-$(REVISION).jar glpk-java.jar
+	mkdir -p -m 755 $(DESTDIR)${prefix}/share/doc/${package};true
+	install -m 644 glpk-java-javadoc.jar $(DESTDIR)${prefix}/share/doc/${package}/glpk-java-javadoc-$(REVISION).jar
+	cd $(DESTDIR)${prefix}/share/doc/${package};ln -f -s glpk-java-javadoc-$(REVISION).jar glpk-java-javadoc.jar
+	install -m 644 glpk-java-sources.jar $(DESTDIR)${prefix}/share/doc/${package}/glpk-java-sources-$(REVISION).jar
+	cd $(DESTDIR)${prefix}/share/doc/${package};ln -f -s glpk-java-sources-$(REVISION).jar glpk-java-sources.jar
 
 check:
 	cd ../examples/java;javac -source 1.6 -target 1.6 -classpath ../../swig/glpk-java.jar Gmpl.java

=== examples/java/Makefile ===
SHELL = /bin/sh
# package name
package = libglpk-java
# installation path for package
prefix = /usr/local
all:

clean:
	rm -f *.class

distclean: clean
	rm -f *~

install:
	mkdir -p -m 755 $(DESTDIR)${prefix}/share/doc/${package}/examples;true
	install -m 644 ErrorDemo.java  $(DESTDIR)${prefix}/share/doc/${package}/examples/ErrorDemo.java
	install -m 644 Gmpl.java       $(DESTDIR)${prefix}/share/doc/${package}/examples/Gmpl.java
	install -m 644 GmplSwing.java  $(DESTDIR)${prefix}/share/doc/${package}/examples/GmplSwing.java
	install -m 644 LinOrd.java     $(DESTDIR)${prefix}/share/doc/${package}/examples/LinOrd.java
	install -m 644 Lp.java         $(DESTDIR)${prefix}/share/doc/${package}/examples/Lp.java
	install -m 644 Mip.java        $(DESTDIR)${prefix}/share/doc/${package}/examples/Mip.java
	install -m 644 application.png $(DESTDIR)${prefix}/share/doc/${package}/examples/application.png
	install -m 644 marbles.mod     $(DESTDIR)${prefix}/share/doc/${package}/examples/marbles.mod
	install -m 644 tiw56r72.mat    $(DESTDIR)${prefix}/share/doc/${package}/examples/tiw56r72.mat

check:

=== debian/changelog ===
glpk-java (1.0.18-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Package moved to the Debian Science team
  * Standards-Version updated to version 3.9.2
  * Cleanup uploader list (Closes: #571829)
  * Update to the default-jdk & default-jre packages (Closes: #599117)
  * glpk-java.pdf is now installed (Closes: #599119)
  * Provide the path to jni.h with the JAVA_HOME variable (Closes: #618167)
  * Switch to dpkg-source 3.0 (quilt) format
  * Do not compress pdf
  * Do not ship .la file

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 04 Aug 2011 00:09:49 +0200

glpk-java (1.0.13-4) unstable; urgency=medium

  [ Kumar Appaiah ]
  * Use update patch from Heinrich Schuchardt which
    reworks the callback interface between libglpk-java
    and GLPK, and updates the Makefiles.

 -- Debian Scientific Computation Team <pkg-scicomp-devel@lists.alioth.debian.org>  Fri, 10 Sep 2010 21:15:56 +0000

glpk-java (1.0.13-3) unstable; urgency=medium

  [ Kumar Appaiah ]
  * Use patch from Xypron to:
    - change sourcepath to classpath in swig/Makefile, as
      the former is ignored by gcj.
    - Remove extraneous overrides in examples.
    (Closes: #576896)
  * Standards Version is now 3.9.1

 -- Debian Scientific Computation Team <pkg-scicomp-devel@lists.alioth.debian.org>  Wed, 08 Sep 2010 17:11:30 -0500

glpk-java (1.0.13-2) unstable; urgency=low

  * Update minimum dependency of libglpk-dev to 4.43
    (due to glpk_error_hook()) as pointed out by
    Heinrich Schuchardt.

 -- Debian Scientific Computation Team <pkg-scicomp-devel@lists.alioth.debian.org>  Sun, 21 Mar 2010 15:07:49 -0500

glpk-java (1.0.13-1) unstable; urgency=low

  [ Kumar Appaiah ]
  * New Upstream Release.
    + Fix FTBFS on amd64. (Closes: #572958)
  * debian/control:
    + Standards Version is now 3.8.4 (No changes needed).
  * debian/rules:
    + Rename "test" target to "check".

 -- Debian Scientific Computation Team <pkg-scicomp-devel@lists.alioth.debian.org>  Thu, 18 Mar 2010 17:58:16 -0500

glpk-java (1.0.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add correct build-deps, closes: #536611
    Thanks once a again to Peter Green <plugwash@p10link.net> for fix

 -- Riku Voipio <riku.voipio@iki.fi>  Thu, 05 Nov 2009 23:39:38 +0200

glpk-java (1.0.1-1) unstable; urgency=low

  * Initial release (closes: #532185)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 06 Jun 2009 11:53:55 +0200

=== debian/control ===
Source: glpk-java
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: 
Build-Depends: debhelper (>= 7), cdbs, libglpk-dev (>= 4.43), swig, libtool,
 default-jdk
Standards-Version: 3.9.2
Section: java
Homepage: http://glpk-java.sourceforge.net
Vcs-Git: git://git.debian.org/git/debian-science/packages/glpk-java.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/glpk-java.git

Package: libglpk-java
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Java binding to the GNU Linear Programming Kit
 GLPK (GNU Linear Programming Kit) is intended for solving large-scale
 linear programming (LP), mixed integer programming (MIP), and other
 related problems. It is a set of routines written in ANSI C and
 organized in the form of a callable library.
 .
 GLPK supports the GNU MathProg language, which is a subset of the
 AMPL language. GLPK also supports the standard MPS and LP formats.
 .
 This package contains the Java binding to GLPK.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_BUILD_TARGET = all prefix=/usr JAVA_HOME="/usr/lib/jvm/default-java/"
DEB_MAKE_CHECK_TARGET = check
DEB_MAKE_INSTALL_TARGET = prefix=/usr DESTDIR=$(CURDIR)/debian/libglpk-java install
DEB_DH_MAKESHLIBS_ARGS_ALL = --no-act
DEB_COMPRESS_EXCLUDE    := .pdf

install/libglpk-java::
	find $(CURDIR)/debian/libglpk-java -name '*.la' -exec rm -f {} \;

clean::
	find examples -iname '*.class'|xargs $(RM)

=== debian/watch ===
version=3
http://sf.net/glpk-java/glpk-java-(.*)\.tar\.gz

## glpk-java 1.0.31

=== debian/changelog ===
glpk-java (1.0.31-2) unstable; urgency=medium

  * Upload to unstable for glpk transition.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 05 Dec 2013 18:45:44 +0100

glpk-java (1.0.31-1) experimental; urgency=low

  * Imported Upstream version 1.0.31
    - this release is compatible with GLPK 4.52.1 (Closes: #714361)
  * debian/copyright: reflect upstream changes
  * debian/watch: reflect change of upstream tarball name
  * debian/control:
    + use canonical URLs for Vcs-* fields
    + add myself to uploaders
    + upgrade to Standards-Version 3.9.4, no changes needed
  * debian/rules: rewrite using dh
  * Add lintian overrides for codeless JARs
  * Register PDF documentation into doc-base

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 07 Aug 2013 21:28:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: glpk-java
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: 
-Build-Depends: debhelper (>= 7), cdbs, libglpk-dev (>= 4.43), swig, libtool,
- default-jdk
-Standards-Version: 3.9.2
+Uploaders: Sébastien Villemot <sebastien@debian.org>
+Build-Depends: debhelper (>= 9), libglpk-dev (>= 4.52.1), swig, dh-autoreconf,
+ automake (>= 1.13), default-jdk
+Standards-Version: 3.9.5
 Section: java
 Homepage: http://glpk-java.sourceforge.net
-Vcs-Git: git://git.debian.org/git/debian-science/packages/glpk-java.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/glpk-java.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/glpk-java.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/glpk-java.git
 
 Package: libglpk-java
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- JAVA_HOME="/usr/lib/jvm/default-java/"

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/libglpk-java -name '*.la' -delete

override_dh_installexamples:
	dh_installexamples
	find $(CURDIR)/debian/libglpk-java/usr/share/doc -name '*.class' -delete

override_dh_makeshlibs:

=== debian/watch ===
version=3
http://sf.net/glpk-java/libglpk-java-(.*)\.tar\.gz

## glpk-java 1.0.36

=== debian/changelog ===
glpk-java (1.0.36-1) unstable; urgency=medium

  * Imported Upstream version 1.0.36

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 12 Jun 2014 10:45:35 +0200

glpk-java (1.0.34-1) unstable; urgency=medium

  * Imported Upstream version 1.0.34
    - fixes memory access on big endian systems. (Closes: #745214)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 23 Apr 2014 15:43:31 +0200

glpk-java (1.0.33-1) unstable; urgency=medium

  * Imported Upstream version 1.0.33
  * Tighten the B-D on default-jdk, so that only archs with OpenJDK satisfy it.
    (Closes: #743131)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 03 Apr 2014 17:13:31 +0200

glpk-java (1.0.32-1) unstable; urgency=medium

  * Imported Upstream version 1.0.32

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 19 Feb 2014 18:52:04 +0100

## glpk-java 1.0.37

=== debian/changelog ===
glpk-java (1.0.37-1) unstable; urgency=medium

  * Imported Upstream version 1.0.37

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Aug 2014 10:03:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), libglpk-dev (>= 4.52.1), swig, dh-autoreconf,
- automake (>= 1.13), default-jdk
+ automake (>= 1.13), default-jdk (>= 2:1.6)
 Standards-Version: 3.9.5
 Section: java
 Homepage: http://glpk-java.sourceforge.net

## glpk-java 1.2.0

=== debian/changelog ===
glpk-java (1.2.0-1) unstable; urgency=medium

  * Imported Upstream version 1.2.0
  * d/copyright: reflect upstream changes.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 04 Oct 2015 21:22:51 +0200

glpk-java (1.1.0-1) unstable; urgency=medium

  * Imported Upstream version 1.1.0
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 06 Sep 2015 19:17:20 +0200

## glpk-java 1.3.0

=== debian/changelog ===
glpk-java (1.3.0-1) unstable; urgency=medium

  * Imported Upstream version 1.3.0

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 14 Nov 2015 15:38:52 +0100

## glpk-java 1.3.1

=== debian/changelog ===
glpk-java (1.3.1-1) unstable; urgency=medium

  * Imported Upstream version 1.3.1

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 20 Jan 2016 14:02:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), libglpk-dev (>= 4.52.1), swig, dh-autoreconf,
  automake (>= 1.13), default-jdk (>= 2:1.6)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: java
 Homepage: http://glpk-java.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/glpk-java.git

## glpk-java 1.7.0

=== debian/changelog ===
glpk-java (1.7.0-1) unstable; urgency=medium

  * Imported Upstream version 1.7.0
  * d/copyright: reflect upstream changes.
  * d/control:
    + Bump Standards-Version to 3.9.8, no changes needed.
    + Use secure URLs for Vcs-* fields.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 17 May 2016 15:54:10 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), libglpk-dev (>= 4.52.1), swig, dh-autoreconf,
  automake (>= 1.13), default-jdk (>= 2:1.6)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: java
 Homepage: http://glpk-java.sourceforge.net
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/glpk-java.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/glpk-java.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/glpk-java.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/glpk-java.git
 
 Package: libglpk-java
 Architecture: any

## glpk-java 1.8.0

=== debian/changelog ===
glpk-java (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0.
  * Bump to debhelper compat level 10.
  * d/copyright:
    + Reflect upstream changes.
    + Use secure URL for format.
  * d/control: use canonical URL for Vcs-Browser.
  * d/rules: pass --disable-maven to configure. Otherwise, if maven is
    installed, the build system starts downloading tons of Java packages.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 09 Jun 2017 11:24:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 9), libglpk-dev (>= 4.52.1), swig, dh-autoreconf,
- automake (>= 1.13), default-jdk (>= 2:1.6)
+Build-Depends: debhelper (>= 10), libglpk-dev (>= 4.52.1), swig, default-jdk (>= 2:1.6)
 Standards-Version: 3.9.8
 Section: java
 Homepage: http://glpk-java.sourceforge.net
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/glpk-java.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/glpk-java.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/glpk-java.git
 
 Package: libglpk-java
 Architecture: any

## glpk-java 1.9.0

=== debian/changelog ===
glpk-java (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
  * d/control:
    + Bump Standards-Version to 4.0.0.
    + Tighten B-D on default-jdk to require at least 1.8.
    + Mark libglpk-java as M-A same.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 04 Jul 2017 16:34:40 +0200

=== debian/control ===
Source: glpk-java
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper (>= 10),
               libglpk-dev (>= 4.52.1),
               swig,
               default-jdk (>= 2:1.8)
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/glpk-java.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/glpk-java.git
Homepage: http://glpk-java.sourceforge.net

Package: libglpk-java
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Java binding to the GNU Linear Programming Kit
 GLPK (GNU Linear Programming Kit) is intended for solving large-scale
 linear programming (LP), mixed integer programming (MIP), and other
 related problems. It is a set of routines written in ANSI C and
 organized in the form of a callable library.
 .
 GLPK supports the GNU MathProg language, which is a subset of the
 AMPL language. GLPK also supports the standard MPS and LP formats.
 .
 This package contains the Java binding to GLPK.

## glpk-java 1.10.0

=== debian/changelog ===
glpk-java (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0
  * d/control: bump Standards-Version to 4.0.1.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 06 Aug 2017 23:55:50 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libglpk-dev (>= 4.52.1),
                swig,
                default-jdk (>= 2:1.8)
-Standards-Version: 4.0.0
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/glpk-java.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/glpk-java.git
 Homepage: http://glpk-java.sourceforge.net

## glpk-java 1.11.0

=== debian/changelog ===
glpk-java (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0
  * Bump Standards-Version to 4.1.2.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 10 Dec 2017 11:32:55 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libglpk-dev (>= 4.52.1),
                swig,
                default-jdk (>= 2:1.8)
-Standards-Version: 4.0.1
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/glpk-java.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/glpk-java.git
 Homepage: http://glpk-java.sourceforge.net

## glpk-java 1.12.0

=== debian/changelog ===
glpk-java (1.12.0-2) unstable; urgency=medium

  * Bump to debhelper 13
  * debian/rules: simplify using debhelper 12.8’s execute_after_* rules
  * disable-relax4.patch: new patch, fixes FTBFS (Closes: #978311)
  * debian/watch: bump to format v4
  * debian/control: add Rules-Requires-Root: no
  * Bump to S-V 4.5.1

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 14 Jan 2021 15:06:27 +0100

glpk-java (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Bump to debhelper compat level 11.
  * Update Vcs-* URLs for move to salsa.
  * Bump Standards-Version to 4.1.3.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 08 Mar 2018 10:35:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Section: java
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
+               debhelper (>= 12.8~),
                libglpk-dev (>= 4.52.1),
                swig,
                default-jdk (>= 2:1.8)
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/glpk-java.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/glpk-java.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/science-team/glpk-java
+Vcs-Git: https://salsa.debian.org/science-team/glpk-java.git
 Homepage: http://glpk-java.sourceforge.net
+Rules-Requires-Root: no
 
 Package: libglpk-java
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-maven JAVA_HOME="/usr/lib/jvm/default-java/"

execute_after_dh_auto_install:
	find $(CURDIR)/debian/libglpk-java -name '*.la' -delete

execute_after_dh_installexamples:
	find $(CURDIR)/debian/libglpk-java/usr/share/doc -name '*.class' -delete

override_dh_makeshlibs:

=== debian/watch ===
version=4
http://sf.net/glpk-java/libglpk-java-(.*)\.tar\.gz
